## org.apache.mahout.math.hadoop.similarity.cooccurrence.measures
Interface VectorSimilarityMeasure

All Known Implementing Classes:
  CityBlockSimilarity, CooccurrenceCountSimilarity, CosineSimilarity, CountbasedMeasure, EuclideanDistanceSimilarity, LoglikelihoodSimilarity, PearsonCorrelationSimilarity, TanimotoCoefficientSimilarity

    public interface VectorSimilarityMeasure

Field Summary
`static double` `NO_NORM`

Method Summary
`double` `aggregate(double nonZeroValueA, double nonZeroValueB)`
`boolean` `consider(int numNonZeroEntriesA, int numNonZeroEntriesB, double maxValueA, double maxValueB, double threshold)`
`double` `norm(Vector vector)`
`Vector` `normalize(Vector vector)`
`double` `similarity(double summedAggregations, double normA, double normB, int numberOfColumns)`

Field Detail

### NO_NORM

    static final double NO_NORM

See Also:
  Constant Field Values

Method Detail

### normalize

    Vector normalize(Vector vector)

### norm

    double norm(Vector vector)

### aggregate

    double aggregate(double nonZeroValueA,
                     double nonZeroValueB)

### similarity

    double similarity(double summedAggregations,
                      double normA,
                      double normB,
                      int numberOfColumns)

### consider

    boolean consider(int numNonZeroEntriesA,
                     int numNonZeroEntriesB,
                     double maxValueA,
                     double maxValueB,
                     double threshold)

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.